PopupMenuUI (Java Platform SE 8 )
Keywords: javax.swing.plaf.PopupMenuUI class
Date: 2016-12-09

javax.swing.plaf

## Class PopupMenuUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.PopupMenuUI

- Direct Known Subclasses:
    BasicPopupMenuUI, MultiPopupMenuUI

      public abstract class PopupMenuUI
      extends ComponentUI

  Pluggable look and feel interface for JPopupMenu.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopupMenuUI()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Popup` | `getPopup(JPopupMenu popup, int x, int y)` Returns the `Popup` that will be responsible for displaying the `JPopupMenu`.
    `boolean` | `isPopupTrigger(MouseEvent e)`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PopupMenuUI

          public PopupMenuUI()

  - ### Method Detail

    - #### isPopupTrigger

          public boolean isPopupTrigger(MouseEvent e)

      Since:
        1.3

    - #### getPopup

          public Popup getPopup(JPopupMenu popup,
                                int x,
                                int y)

      Returns the `Popup` that will be responsible for displaying the `JPopupMenu`.
      Parameters:
        `popup` - JPopupMenu requesting Popup
        `x` - Screen x location Popup is to be shown at
        `y` - Screen y location Popup is to be shown at.
      Returns:
        Popup that will show the JPopupMenu
      Since:
        1.4

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.